name: technical-diary
kind: pipeline
type: docker

steps:
- name: submodules
  image: alpine/git
  commands:
  - git submodule update --init --recursive --remote
- name: build
  image: monachus/hugo
  commands:
  - hugo --cleanDestinationDir --destination /out --gc --minify --source /drone/src --verbose
  volumes:
  - name: docker
    path: /var/run/docker.sock
  - name: destination
    path: /out

volumes:
- name: docker
  host:
    path: /var/run/docker.sock
- name: destination
  host:
    path: /stacks/personal-0/pages/technical-diary
